## model.tournament
Class TournamentDataModelEditor

    java.lang.Object
      model.tournament.TournamentDataModel
          model.tournament.TournamentDataModelEditor

Direct Known Subclasses:
  TournamentInitializer, TournamentUpdater

    public abstract class TournamentDataModelEditor

extends TournamentDataModel

This class gives the set-methods of the superclass TournamentDataModel public visibility so that the data can be changed. Editing and creating new Tournament objects is done via TournamentUpdater and TournamentInitializer objects that extend this class. See TournamentDataModel, TournamentInitializer, TournamentUpdater and the architecture document for more information.

Constructor Summary
`protected` `TournamentDataModelEditor(ID tournament_id)`

Method Summary
`abstract void` `addDiscount(java.lang.String name, java.lang.String amount, boolean dominant)`
`abstract void` `run()`
`void` `setBaseFee(java.math.BigDecimal base_fee)`
`void` `setBaseFee(java.lang.String new_base_fee)`
`void` `setDate(GoDate date)`
`void` `setDate(java.lang.String date_str)`
`void` `setDefaultCountry(Country default_country)`
`void` `setDefaultCountry(java.lang.String default_country_code)`
`void` `setHtml(java.lang.String html)`
`void` `setName(java.lang.String name)`
`void` `setPreregistrationOpen(boolean open)`
`void` `setTournamentOpen(boolean open)`

Methods inherited from class model.tournament.TournamentDataModel
`addDiscount, getBaseFee, getDate, getDefaultCountry, getDiscounts, getHtml, getId, getName, hasDiscountId, isPreRegistrationOpen, isTournamentOpen, removeDiscount, setDiscounts`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TournamentDataModelEditor

    protected TournamentDataModelEditor(ID tournament_id)

Method Detail

### setName

    public void setName(java.lang.String name)
                 throws GoException

  Overrides:
    `setName` in class `TournamentDataModel`
  Throws:
    `GoException`

### setHtml

    public void setHtml(java.lang.String html)

  Overrides:
    `setHtml` in class `TournamentDataModel`

### setDefaultCountry

    public void setDefaultCountry(java.lang.String default_country_code)
                           throws GoException

  Overrides:
    `setDefaultCountry` in class `TournamentDataModel`
  Throws:
    `GoException`

### setDefaultCountry

    public void setDefaultCountry(Country default_country)
                           throws GoException

  Overrides:
    `setDefaultCountry` in class `TournamentDataModel`
  Throws:
    `GoException`

### setBaseFee

    public void setBaseFee(java.lang.String new_base_fee)
                    throws GoException

  Overrides:
    `setBaseFee` in class `TournamentDataModel`
  Throws:
    `GoException`

### setBaseFee

    public void setBaseFee(java.math.BigDecimal base_fee)
                    throws GoException

  Overrides:
    `setBaseFee` in class `TournamentDataModel`
  Throws:
    `GoException`

### setDate

    public void setDate(java.lang.String date_str)
                 throws ParseGoDateException

  Overrides:
    `setDate` in class `TournamentDataModel`
  Throws:
    `ParseGoDateException`

### setDate

    public void setDate(GoDate date)
                 throws GoException

  Overrides:
    `setDate` in class `TournamentDataModel`
  Throws:
    `GoException`

### setPreregistrationOpen

    public void setPreregistrationOpen(boolean open)

  Overrides:
    `setPreregistrationOpen` in class `TournamentDataModel`

### setTournamentOpen

    public void setTournamentOpen(boolean open)

  Overrides:
    `setTournamentOpen` in class `TournamentDataModel`

### addDiscount

    public abstract void addDiscount(java.lang.String name,
                                     java.lang.String amount,
                                     boolean dominant)
                              throws GoIOException

  Throws:
    `GoIOException`

### run

    public abstract void run()
                      throws GoException

  Throws:
    `GoException`